using System;

namespace ConsoleApp10
{
    class Program
    {
        static void Main(string[] args)
        {
            int n, l;
            bool t = true;
            string[] s = Console.ReadLine().Split();
            n = int.Parse(s[0]);
            l = int.Parse(s[1]);
            s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
                if (int.Parse(s[i]) <= l)
                {
                    Console.WriteLine(i + 1);
                    t = false;
                    break;
                }
            if (t)
                Console.WriteLine(-1);

        }
    }
}